package com.qmth.teachcloud.common.bean.dto;

import com.qmth.teachcloud.common.annotation.ExcelProperty;

/**
 * 学生导出Dto
 */
public class BasicStudentExportDto {

    private Long id;

    @ExcelProperty(name = "学生姓名", width = 15, index = 1)
    private String studentName;

    @ExcelProperty(name = "学生学号", width = 15, index = 2)
    private String studentCode;

    @ExcelProperty(name = "手机号", width = 15, index = 3)
    private String phoneNumber;

    @ExcelProperty(name = "学院", width = 15, index = 4)
    private String collegeName;

    @ExcelProperty(name = "专业", width = 20, index = 5)
    private String majorName;

    @ExcelProperty(name = "班级", width = 10, index = 6)
    private String clazzName;

    private Boolean enable;

    @ExcelProperty(name = "状态", width = 8, index = 7)
    private String enableName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getEnableName() {
        return enableName;
    }

    public void setEnableName(String enableName) {
        this.enableName = enableName;
    }
}
